import { build } from 'esbuild';
import babel from 'esbuild-plugin-babel';

build({
    entryPoints: ['./src/index.js'],
    outdir: './lib',
    bundle: true,
    minify: true,
    format: 'cjs',
    platform: 'node',
}).catch(() => process.exit(1));

build({
    entryPoints: ['./src/plugin.js'],
    outdir: './lib',
    bundle: true,
    minify: true,
    external: ['vue'],
    format: 'esm',
    plugins: [babel()],
}).catch(() => process.exit(1));
