const { resolve } = require('path');

export default function(moduleOptions) {
    // Add options to runtimeConfig
    this.options.publicRuntimeConfig.nuxtDevice = {
        ...this.options.nuxtDevice && this.options.nuxtDevice,
        ...moduleOptions && moduleOptions,
    };

    // Set body opacity 0 for hydration

    if (!this.options.head) {
        this.options.head = {};
    }

    if (!this.options.head.bodyAttrs) {
        this.options.head.bodyAttrs = {};
    }

    const bodyStyle = this.options.head.bodyAttrs.style || '';
    this.options.head.bodyAttrs.style = 'opacity: 0;' + bodyStyle.replace(/opacity:\s?\.?\d*;?/g, '');

    this.addPlugin({
        src: resolve(__dirname, './plugin.js'),
    });
}
